Subject: Re: [patch 2.6.25-rc2-git] rndis_host: fix transfer size negotiation

From: "John W. Linville" <[email-masked]>
Date: Mon, 25 Feb 2008 13:29:18 -0500

On Fri, Feb 22, 2008 at 05:31:16PM -0800, David Brownell wrote:
> From: Jean-Christophe Dubois <[email-masked]>
> 
> This patch should resolve a problem that's troubled support for
> some RNDIS peripherals.  It seems to have boiled down to using a
> variable to establish transfer size limits before it was assigned,
> which caused those devices to fallback to a default "jumbogram"
> mode we don't support.  Fix by assigning it earlier for RNDIS.

Any chance that something like this is appropriate for rndis_wlan?

John
-- 
John W. Linville
[email-masked]